{% extends 'base_1.html' %}


{% block content %}
<div class="container">
	<div class="row">

		<!-- Blog Post -->
		<div class="card m-auto">
			<img class="card-img-top" src="{{blog_post.image.url}}">
			<div class="card-body mt-2 mb-2">
				<h2 class="card-title">{{blog_post.title}}</h2>

				<span class="tableCell">
					{% for tag in blog_post.tags.all %}
					<a href="{% url 'blog:tagged' tag.slug %}" class="mr-1 badge badge-info">#{{ tag }}</a>
					{% endfor %}
				</span>

				<p class="card-text">{{blog_post.body|safe}}</p>
				{% if blog_post.author == request.user %}
				<a href="{% url 'blog:edit' blog_post.slug %}" class="btn btn-primary">Update</a>
				{% endif %}
			</div>

			<div class="card-footer text-muted">
				Updated on {{blog_post.date_updated}} by {{blog_post.author}}
			</div>
		</div>
	</div>
</div>
{% endblock content %}


{% block custom_css %}
<style type="text/css">
	.card {
		max-width: 700px;
	}

	.card-body {
		padding: 20px;
	}
</style>
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/styles/default.min.css">
{% endblock %}

{% block custom_js %}
<script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/highlight.min.js"></script>
<script>hljs.initHighlightingOnLoad();</script>
{% endblock %}